SELECT 	PVE.PEDIDO_VENTA_ID,MAX(PVE.ESTADO_ID) ULT_ESTADO 
FROM 	PEDIDO_VENTA_ESTADO PVE,PEDIDO_VENTA PV 
WHERE	PVE.PEDIDO_VENTA_ID = PV.ID
AND		PV.ALMACEN_ID = 1
GROUP BY 	PEDIDO_VENTA_ID;


SELECT 	PEDIDO_VENTA_ID,ULT_ESTADO 
FROM 	(SELECT 	PVE.PEDIDO_VENTA_ID,MAX(PVE.ESTADO_ID) ULT_ESTADO 
FROM 	PEDIDO_VENTA_ESTADO PVE,PEDIDO_VENTA PV 
WHERE	PVE.PEDIDO_VENTA_ID = PV.ID
AND		PV.ALMACEN_ID = 1
GROUP BY 	PEDIDO_VENTA_ID) UTL_ESTADOS 
WHERE 	ULT_ESTADO < 5;

SELECT 	SUM(CANTIDAD) ACUMULADO_CANTIDAD, PRODUCTO_ID 
FROM 	PEDIDO_VENTA_DETALLE 
WHERE 	PEDIDO_VENTA_ID IN (475,476) 
GROUP BY 	PRODUCTO_ID  
ORDER BY  PRODUCTO_ID;

SELECT    P.ID,AP.CANTIDAD_ACTUAL
FROM		PRODUCTO P, ALMACEN_PRODUCTO AP
WHERE	1=1
AND		P.ID = AP.PRODUCTO_ID
AND		AP.ALMACEN_ID = 1;

SELECT    P.ID,AP.CANTIDAD_ACTUAL
FROM		PRODUCTO P, ALMACEN_PRODUCTO AP
WHERE	1=1
AND		P.ID = AP.PRODUCTO_ID
AND		AP.ALMACEN_ID = 1;

SELECT 	PVE.PEDIDO_VENTA_ID,MAX(PVE.ESTADO_ID) ULT_ESTADO 
FROM 	PEDIDO_VENTA_ESTADO PVE,PEDIDO_VENTA PV 
WHERE	PVE.PEDIDO_VENTA_ID = PV.ID
AND		PV.ALMACEN_ID = 1
GROUP BY 	PEDIDO_VENTA_ID;

SELECT 	PRODUCTO_ID, SUM(CANTIDAD) CANTIDAD_TRANCITO
FROM 	PEDIDO_VENTA_DETALLE PVD, (SELECT 	PEDIDO_VENTA_ID,ULT_ESTADO 
FROM 	(SELECT 	PVE.PEDIDO_VENTA_ID,MAX(PVE.ESTADO_ID) ULT_ESTADO 
FROM 	PEDIDO_VENTA_ESTADO PVE,PEDIDO_VENTA PV 
WHERE	PVE.PEDIDO_VENTA_ID = PV.ID
AND		PV.ALMACEN_ID = 1
GROUP BY 	PEDIDO_VENTA_ID) UTL_ESTADOS 
WHERE 	ULT_ESTADO < 5) PT
WHERE 	PVD.PEDIDO_VENTA_ID = PT.PEDIDO_VENTA_ID 
GROUP BY 	PVD.PRODUCTO_ID  
ORDER BY  PVD.PRODUCTO_ID;

SELECT    P.ID,AP.CANTIDAD_ACTUAL
FROM		PRODUCTO P, ALMACEN_PRODUCTO AP
WHERE	1=1
AND		P.ID = AP.PRODUCTO_ID
AND		AP.ALMACEN_ID = 1;

SELECT * FROM POBLACION WHERE NOMBRE LIKE '%Mate%' AND MUNICIPIO_O_DELEGACION LIKE '%TECAMAC%';

